org.apache.cassandra.auth

## Class RolesCache

- java.lang.Object
- - org.apache.cassandra.auth.RolesCache

- All Implemented Interfaces:
    RolesCacheMBean

      public class RolesCache
      extends java.lang.Object
      implements RolesCacheMBean

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RolesCache(IRoleManager roleManager)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<RoleResource>` | `getRoles(RoleResource role)`
    `int` | `getUpdateInterval()`
    `int` | `getValidity()`
    `void` | `invalidate()`
    `void` | `setUpdateInterval(int updateInterval)`
    `void` | `setValidity(int validityPeriod)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RolesCache

          public RolesCache(IRoleManager roleManager)

  - ### Method Detail

    - #### getRoles

          public java.util.Set<RoleResource> getRoles(RoleResource role)

    - #### invalidate

          public void invalidate()

      Specified by:
        `invalidate` in interface `RolesCacheMBean`

    - #### setValidity

          public void setValidity(int validityPeriod)

      Specified by:
        `setValidity` in interface `RolesCacheMBean`

    - #### getValidity

          public int getValidity()

      Specified by:
        `getValidity` in interface `RolesCacheMBean`

    - #### setUpdateInterval

          public void setUpdateInterval(int updateInterval)

      Specified by:
        `setUpdateInterval` in interface `RolesCacheMBean`

    - #### getUpdateInterval

          public int getUpdateInterval()

      Specified by:
        `getUpdateInterval` in interface `RolesCacheMBean`

Copyright © 2018 The Apache Software Foundation